Subject: bug#59340: 29.0.50; Latest Emacs from master gives various native compilation errors

From: Akib Azmain Turja <[email-masked]>
Date: Tue, 22 Nov 2022 23:00:00 +0600

Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
of text editors" <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>> Akib Azmain Turja via "Bug reports for GNU Emacs, the Swiss army knife
>> of text editors" <[email-masked]> writes:
>>
>>> --=-=-=
>>> Content-Type: text/plain
>>> Content-Transfer-Encoding: quoted-printable
>>>
>>> Eli Zaretskii <[email-masked]> writes:
>>>
>>>>> From: Akib Azmain Turja <[email-masked]>
>>>>> Cc: [email-masked]
>>>>> Date: Fri, 18 Nov 2022 17:39:11 +0600
>>>>>=20
>>>>> > Does this happen _after_ you build Emacs?  That is, you are saying
>>>>> > that the *.eln files produced as part of the Emacs build were compiled
>>>>> > successfully, but when you then start the Emacs you built, it is
>>>>> > unable to perform any native compilation?
>>>>>=20
>>>>> Yes, Emacs builds fine.  The problem occurs at runtime.
>>>>
>>>> That is very strange, because we invoke libgccjit and Binutils during
>>>> the build the same we do at run time.  Is this in "emacs -Q"?  If not,
>>>> perhaps some of your customizations prevent Emacs from finding and/or
>>>> invoking the JIT compiler?
>>>
>>> I think this is not an Emacs bug really.  The Guix recipe I'm using
>>> has some big problems (according to Guix philosophy), and probably does
>>> some (black) magic that causes the build and run-time environment to be
>>> different, thus the error.
>>>
>>> However, why the crash?  Is it somehow because the old eln get loaded?
>>
>> Are you sure Emacs is crashing?  That would be surprising to me, maybe
>> is because of something with EXWM that gets stuck for some other reason?
>>
>>   Andrea
>
> I am sure, because instead of running emacs from my .xsession, I ran
> xterm and ran emacs with xterm.  The result was, sometimes the Emacs
> aborted, and sometimes segfault.

I have fixed it!

-- 
Akib Azmain Turja, GPG key: 70018CE5819F17A3BBA666AFE74F0EFA922AE7F5
Fediverse: [email-masked]
Codeberg: akib
emailselfdefense.fsf.org | "Nothing can be secure without encryption."